org.modeshape.jcr.cache

## Class ChildReferences.NoContext

- java.lang.Object
- - org.modeshape.jcr.cache.ChildReferences.NoContext

- All Implemented Interfaces:
    ChildReferences.Context
  Enclosing interface:
    ChildReferences

      public static final class ChildReferences.NoContext
      extends Object
      implements ChildReferences.Context

  A `ChildReferences.Changes` implementation that has no changes and that is useful when there are never any siblings with the same names, since it always returns '1' for the SNS index.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ChildReferences.Context` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildReferences.Changes` | `changes()` Get the set of changes for this context.
    `int` | `consume(Name name, NodeKey key)` Consume the next child with the supplied name and key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final ChildReferences.Context INSTANCE

  - ### Method Detail

    - #### consume

          public int consume(Name name,
                    NodeKey key)

      Description copied from interface: `ChildReferences.Context`
      Consume the next child with the supplied name and key.
      Specified by:
        `consume` in interface `ChildReferences.Context`
      Parameters:
        `name` - the name of the node; may not be null
        `key` - the key for the node; may not be null
      Returns:
        the same-name-sibling index for this node; always positive

    - #### changes

          public ChildReferences.Changes changes()

      Description copied from interface: `ChildReferences.Context`
      Get the set of changes for this context.
      Specified by:
        `changes` in interface `ChildReferences.Context`
      Returns:
        the changes; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.